SolrDocument::offsetGet
SolrDocument::offsetUnset
SolrDocument
PHP Manual

# SolrDocument::offsetSet

(PECL solr >= 0.9.2)

SolrDocument::offsetSet — Adds a field to the document

### Description

public void SolrDocument::offsetSet ( string `$fieldName` , string `$fieldValue` )

Used when the object is treated as an array to add a field to the document.

### Parameters

`fieldName`

  The name of the field.

`fieldValue`

  The value for this field.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument::offsetGet
SolrDocument::offsetUnset
SolrDocument
PHP Manual